curl --request GET \
--url https://api.trata.ai/v1/hives/{hive_id} \
--header 'Authorization: Bearer <token>'{
"id": "hiv.1727418138.IPGwVl1f",
"orgId": "org.1726902940.GZChqlpU",
"content": {
"hiveType": "WEBSITE",
"url": "https://www.cotekoreansteakhouse.com/",
"hiveProps": {
"crawl_child_pages": true
}
},
"status": "completed",
"createdBy": "org.1726902940.GZChqlpU",
"createdAt": "2024-09-27T06:22:18.000277",
"updatedBy": "trata-system",
"updatedAt": "2024-09-27T06:27:34.276065"
}Get a Specific Hive by ID
curl --request GET \
--url https://api.trata.ai/v1/hives/{hive_id} \
--header 'Authorization: Bearer <token>'{
"id": "hiv.1727418138.IPGwVl1f",
"orgId": "org.1726902940.GZChqlpU",
"content": {
"hiveType": "WEBSITE",
"url": "https://www.cotekoreansteakhouse.com/",
"hiveProps": {
"crawl_child_pages": true
}
},
"status": "completed",
"createdBy": "org.1726902940.GZChqlpU",
"createdAt": "2024-09-27T06:22:18.000277",
"updatedBy": "trata-system",
"updatedAt": "2024-09-27T06:27:34.276065"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the hive
Hive retrieved successfully
Reference to all business knowledge base will be stored in Hive
Show child attributes
WEBSITE, GOOGLE_DOCS, DOCS, TRANSCRIPTS URL of the content
1 - 512List of files to be referenced for the hive
To recursively crawl child pages, add this as props {"crawl_child_pages": true}, "depth": "3"
To add any internal props, add this as props {"last_crawl_time": "123123123123"}